Name:       freealchemist
Version:    0.7
Release:    %mkrel 1
Summary:    Free clone of naturalchimie (puzzle game)
License:    GPLv2+
Group:      Games/Puzzles
Url:        https://github.com/dakk/FreeAlchemist
# source is a mix of upstream zip and debian pieces
Source:     %{name}-%version.tar.xz
BuildRequires: python3
Requires:   python3-pygame
BuildArch:  noarch

%description
FreeAlchemist is a Python version of the game http://www.naturalchimie.com

%prep
%autosetup -p1

%build

%install
install -d -m 0755 %{buildroot}%{_gamesbindir}
install debian/freealchemist-starter %{buildroot}%{_gamesbindir}/%{name}
install -d -m 0755 %{buildroot}%{_gamesdatadir}/%{name}
install -m 0755 freealchemist.py %{buildroot}%{_gamesdatadir}/%{name}/
install -d -m 0755 %{buildroot}%{_gamesdatadir}/%{name}/media
install -m 0644 media/* %{buildroot}%{_gamesdatadir}/%{name}/media
mkdir %{buildroot}%{_datadir}/applications
install -m 0644 debian/%{name}.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m 0644 media/p1.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}%{_mandir}/man6
install -m 0644 debian/%{name}.1 %{buildroot}%{_mandir}/man6/%{name}.6

# python shebang
%py3_shebang_fix %{buildroot}%{_gamesdatadir}/%{name}/freealchemist.py

%files
%doc LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_mandir}/man6/%{name}.6.*


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 0.7-1.mga10
+ Revision: 2257459
- new version: 0.7

* Sat Jun 28 2025 umeabot <umeabot> 0.5-13.mga10
+ Revision: 2221391
- Mageia 10 Mass Rebuild

* Tue Feb 20 2024 papoteur <papoteur> 0.5-12.mga10
+ Revision: 2042625
- rebuild for python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 0.5-11.mga9
+ Revision: 1812418
- Mageia 9 Mass Rebuild

* Thu Feb 27 2020 daviddavid <daviddavid> 0.5-10.mga8
+ Revision: 1550948
- add debian patch to port to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.5-9.mga7
+ Revision: 1260774
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.5-8.mga6
+ Revision: 940590
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-7.mga5
+ Revision: 750444
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-6.mga5
+ Revision: 679324
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 zezinho <zezinho> 0.5-5.mga5
+ Revision: 641186
- openalchemist is back

* Sat Oct 19 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 523385
- Mageia 4 Mass Rebuild

* Mon Apr 15 2013 zezinho <zezinho> 0.5-3.mga3
+ Revision: 410137
- fix Requires pygame

* Fri Jan 11 2013 umeabot <umeabot> 0.5-2.mga3
+ Revision: 350804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 0.5-1.mga3
+ Revision: 335650
- imported package freealchemist

